SSS_SSH_KNOWNHOSTS(1)

NAME
sss_ssh_knownhosts - hämta OpenSSH kända värdars publika nycklar

SYNOPSIS

sss_knownhosts [flaggor] VÄRD

BESKRIVNING

sss_ssh_knownhosts hämtar publika SSH-nycklar för värden VÄRD och skriver ut dem i formatet för OpenSSH:s known_hosts-nycklar (se avsnittet “SSH_KNOWN_HOSTS-FILFORMAT” i sshd(8) för mer information).

ssh(1) kan konfigureras till att använda sss_ssh_knownhosts för autentisering med värdens publika nyckel med alternativet “KnownHostsCommand”:

                    KnownHostsCommand /usr/bin/sss_ssh_knownhosts %H

Se manualsidan ssh_config(5) för mer detaljer om detta alternativ.

This tool requires that SSSD's ssh service is enabled to work properly.

FLAGGOR

-d,--domain DOMÄN
    Sök efter värdars publika nycklar i SSSD-domänen DOMÄN.

-o,--only-host-name
    När nycklarna hämtas från en bakände, inkludera då inte värdnamnet, detta verktyg kommer lägga till det omodifierade värdnamnet som det ges av anroparen. Om denna flagga är satt kommer bara värdnamnet (inget portnummer) läggas till till nycklarna.

-?,--help
    Visa ett hjälpmeddelande och avsluta.

NYCKELHÄMTNING

Nyckelraderna som hämtas från en bakände förväntas att följa ncykelformatet som det beskrivs i avsnittet “SSH_KNOWN_HOSTS FILE FORMAT” i sshd(8). Dock tolereras det att returnera endast nyckeltypen och själva nyckeln, i vilket fall värdnamnet tas emot som en parameter kommer läggas till före nyckeltypen för att mata ut en korrekt formaterad rad. Värdnamnet kommer läggas till oförändrat eller bara värdnamnet (inget portnummer), beroende på huruvida flaggan -o,--only-host-name gavs.

När SSH-servern lyssnar på en annan port än standardporten MÅSTE bakänden tillhandahålla värdnamnet inklusive portnumret i korrekt format och position som en del av nyckelraden. Till exempel skulle den minimala nyckelraden vara:

                    [kanoniskt.värdnamn]:2222 <nyckeltyp> <base64-kodad nyckel>

SLUTSTATUS

In case of successful execution, even if no key was found for that host or if the ssh responder could not be contacted, 0 is returned. 1 is returned in case of any other error.

SE ÄVEN

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-ldap-attributes(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-idp(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(1), sss_ssh_knownhosts(1), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

SSSD uppströms – https://github.com/SSSD/sssd/